#
# Conditional build:
%bcond_without	encoder		# build with encoder (using may require license)
#
Summary:	SZIP - Science Data Lossless Compression library
Summary(pl.UTF-8):	SZIP - biblioteka bezstratnej kompresji danych naukowych
Name:		szip
Version:	2.1.1
Release:	1
%if %{with encoder}
License:	free for use in HDF software (decoder), free for non-commercial, scientific use only in HDF software (encoder)
%else
License:	free for use in HDF software
%endif
Group:		Libraries
Source0:	https://support.hdfgroup.org/ftp/lib-external/szip/%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	5addbf2a5b1bf928b92c47286e921f72
Patch0:		%{name}-opt.patch
URL:		https://support.hdfgroup.org/doc_resource/SZIP/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	libtool >= 1:1.4.2-9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SZIP is an implementation of the extended-Rice lossless compression
algorithm. The Consultative Committee on Space Data Systems (CCSDS)
has adopted the extended-Rice algorithm for international standards
for space applications. SZIP is reported to provide fast and effective
compression, specifically for the EOS data generated by the NASA Earth
Observatory System (EOS). It was originally developed at University of
New Mexico (UNM) and integrated with HDF4 by UNM researchers and
developers.

%description -l pl.UTF-8
SZIP to implementacja rozszerzonego algorytmu kompresji bezstratnej
Rice'a. CCSDS (Consultative Committee on Space Data Systems)
zaadoptowało rozszerzony algorytm Rice'a na potrzeby międzynarodowych
standardów aplikacji przestrzennych. SZIP daje szybką i efektywną
kompresję, szczególnie dla danych EOS generowanych przez NASA Earth
Observatory System (EOS). Pierwotnie biblioteka została stworzona w
University of New Mexico (UNM) i zintegrowana z HDF4 przez naukowców i
programistów UNM.

%package devel
Summary:	Header files for SZIP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SZIP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for SZIP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SZIP.

%package static
Summary:	Static SZIP library
Summary(pl.UTF-8):	Statyczna biblioteka SZIP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SZIP library.

%description static -l pl.UTF-8
Statyczna biblioteka SZIP.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_encoder:--disable-encoding}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING HISTORY.txt RELEASE.txt
%attr(755,root,root) %{_libdir}/libsz.so.2.*.*
%attr(755,root,root) %ghost %{_libdir}/libsz.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsz.so
%{_libdir}/libsz.la
%{_includedir}/ricehdf.h
%{_includedir}/szip_adpt.h
%{_includedir}/szlib.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsz.a
%changelog
* Fri Mar 02 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/szip.git;a=log;h=master

* Fri Mar 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 4762f42
- new URLs, up to 2.1.1
- removed outdated linking patch

* Wed Feb 25 2015 Elan Ruusamäe <glen@delfi.ee> b4abc87
- x32 rebuild
- release 3 (by relup.sh)

* Sun Jun 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 6101a85
- new Source URL and tarball
- encoder enabled by default
- release 2

* Thu Sep 10 2009 tommat <tommat@pld-linux.org> 8d340d7
- added linking patch, builds now
- ghost soname symlink

* Mon Aug 11 2008 Kacper Kornet <draenog@pld-linux.org> 472a7b5
- new URL

* Tue Oct 30 2007 Kacper Kornet <draenog@pld-linux.org> 31fb7ec
- obsolete; implemented in sources (in differnet way)

* Tue Oct 30 2007 Kacper Kornet <draenog@pld-linux.org> 45fde32
- updated to 2.1
- new path to Source0
- link.patch removed; implemented in different way in sources

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ab28acb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> efb324b
- converted to UTF-8

* Thu Dec 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 165baaf
- cleanup: automake copies config.*

* Wed Dec 13 2006 wrobell <wrobell@pld-linux.org> 3a5b468
- fixed linking of examples
- rel. 2

* Wed Dec 13 2006 wrobell <wrobell@pld-linux.org> 32a4803
- fixed examples linking

* Sun Feb 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 7890b3f
- new

* Sun Feb 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 07e1888
- don't override our optflags

